Profiles allow you to preserve the state of the browser between tasks.
They are most commonly used to allow users to preserve the log-in state in the agent between tasks. You’d normally create one profile per user and then use it for all their tasks.
You can set a user_id when creating a profile to associate it with a user in your system.
This allows you to later search for the profile using the GET /profiles endpoint with a query parameter.
Successful Response
View model for representing a profile. A profile lets you preserve the login state between sessions.
We recommend that you create a separate profile for each user of your app. You can assign a user_id to each profile to easily identify which user the profile belongs to.
Unique identifier for the profile
Timestamp when the profile was created
Timestamp when the profile was last updated
Your internal user identifier for this profile. Use this to associate a profile with a user in your system.
Optional name for the profile
Timestamp when the profile was last used
List of domain URLs that have cookies stored for this profile